import {httpApi} from "../../request/httpApi";

export default {
    //年度经营预算列表
    async getPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/annualBudget/page',
            method: 'get',
            params: form
        }, msg);
    },
    //查询预览
    async getPreview(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/annualBudget/preview',
            method: 'get',
            params: form
        }, msg);
    },
    //删除
    async deleteAnnualBudget(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/annualBudget/deleteAnnualBudget',
            method: 'get',
            params: form
        }, msg);
    },
    //单个详情
    async getAnnualBudget(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/annualBudget/getAnnualBudget',
            method: 'get',
            params: form
        }, msg);
    },
    //新增年度经营预算
    async addAnnualBudget(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/annualBudget/addAnnualBudget',
            method: 'post',
            data: form
        }, msg);
    },
    //编辑
    async updateAnnualBudget(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/annualBudget/updateAnnualBudget',
            method: 'post',
            data: form
        }, msg);
    },
}
